id: wordpress-worker

info:
  name: ManageWP Worker Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/worker/
  metadata:
    plugin_namespace: worker
    wpscan: https://wpscan.com/plugin/worker
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/worker/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/worker.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 490a0046304402203938f1fef8c00502291ca6a0bfc2c6492a948f0b0eeb42008993e4070b6fe78602204f8f06cfcbd5f2df77080849c4009314c906103ca9e91458501f02868351073f:922c64590222798bb761d5b6d8e72950